package com.winhc.entity;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.neo4j.ogm.annotation.*;

import java.util.HashSet;
import java.util.Set;


@RelationshipEntity
@Data
@NoArgsConstructor
public class HolderCompanyRelation {

//    @GraphId
//    private Long id;

    @StartNode
    private Company startNode;

    @EndNode
    private Company endNode;

    private String status;
    @Relationship(type = "TOUZI")
    @JsonProperty("TOUZI1")
    private String label;

    //在新增对象，或者关系之前使用addLabel（）方法，然后就会有多个标签了
//    private Set<String> labels = new HashSet<String>();
//
//    public Set<String> getLabels() {
//        return labels;
//    }
//
//    public void addLabel(String name) {
//        this.labels.add(name);
//    }

}