package com.winhc.pojo;

import com.alibaba.fastjson.annotation.JSONField;
import com.winhc.utils.DateUtil;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @author π
 * @Description:
 * @date 2022/1/4 15:45
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class MergePerson {
    public String new_human_pid;
    public String new_human_name;
    public String old_human_pid;
    public String old_human_name;
    @JSONField(serialize = false)
    public int cnt = 0;

    @JSONField(serialize = false)
    public String getId() {
        return new_human_pid + old_human_pid;
    }

    public String getTime() {
        return DateUtil.formatDate_YYYY_MM_DD_HH_MM_SS(new Date());
    }

    @Override
    public String toString() {
        return "MergePerson{" +
                "new_human_pid='" + new_human_pid + '\'' +
                ", new_human_name='" + new_human_name + '\'' +
                ", old_human_pid='" + old_human_pid + '\'' +
                ", old_human_name='" + old_human_name + '\'' +
                ", cnt='" + cnt + '\'' +
                '}';
    }
}
