package com.winhc.service.impl;

import com.winhc.config.ConfigConstant;
import com.winhc.kafka.KafkaProduce;
import com.winhc.service.SendMergeService;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.util.List;

/**
 * @author π
 * @Description:案件-新增节点
 * @date 2021/5/17 10:03
 */
@Slf4j
@Service("sendMergePersonIncrImpl")
@AllArgsConstructor
public class SendMergePersonIncrImpl implements SendMergeService {

    @Autowired
    KafkaProduce kafkaProduce;

    @Autowired
    ConfigConstant configConstant;
    @Override
    public String save(List<String> m) {
        m.forEach(x->kafkaProduce.produce(configConstant.topic_node_relation_union, x));
        return null;
    }
}
